Bug 208627 - TypeError: unknown key type for rpm.RPMTAG_BASENAMES in get_rpm_nvr_by_file_path
TypeError: unknown key type for rpm.RPMTAG_BASENAMES in get_rpm_nvr_by_file_path
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-09-29 15:07 EDT by Dave Malcolm
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.50
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-03 14:07:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2006-09-29 15:07:56 EDT
Description of problem:
/var/log/setroubleshoot/setroubleshootd.log is full of lines like the following:

2006-09-29 13:49:47,937 [plugin.ERROR] failed to retrieve rpm info for [unknown]
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/setroubleshoot/util.py", line 117, in
    mi = ts.dbMatch(rpm.RPMTAG_BASENAMES, path)
TypeError: unknown key type

Version-Release number of selected component (if applicable):
Comment 1 Dave Malcolm 2006-09-29 17:20:39 EDT
Seems to still be a problem with:
Comment 2 John Dennis 2006-09-29 17:22:56 EDT
Ack: I know what the fix is
Comment 3 John Dennis 2006-10-03 14:07:52 EDT
we were passing 'unknown' to get_rpm_nvr_by_file_path() because of these lines
in Plugin.py, remove them, everything should be properly testing for None instead.

<         if self.path is None:
<             self.path = _("[unknown]")

Comment 4 John Dennis 2006-10-04 14:02:46 EDT
*** Bug 209333 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.